#include <stdio.h>
#include <string.h>
#include "arg.h"
#include "log.h"
#include "dep.h"
#include "db.h"
#include "tmpasm_scconfig.h"

static void wtparser_hook_postinit(void)
{
}

static int wtparser_hook_detect_host(void)
{
	require("parsgen/flex/*", 0, 0);
	require("parsgen/bison/*", 0, 0);

	return 0;
}

static int wtparser_hook_detect_target(void)
{
	require("cc/fpic", 0, 0);
	require("cc/wlrpath", 0, 0);
	require("cc/argstd/*", 0, 0);
	require("cc/cc", 0, 0);
	require("cc/cflags", 0, 0);

	return 0;
}

static int wtparser_hook_generate(const char* root)
{
	int generr = 0;

	fprintf(stderr, "Generating wtparser/Makefile (%d)\n", generr |= tmpasm(root, "Makefile.in", "Makefile"));

	return generr;
}
